Bug 32120 - kernel hangs during boot after Uncompressing Linux.... text appears
kernel hangs during boot after Uncompressing Linux.... text appears
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-18 02:53 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 06:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-18 02:53:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


When booting, kernel hangs after the following message appears on the 
screen. Once this happens the keyboard is frozen and it's game over.

Loading Linux....
Uncompresing Linux... OK, booting the kernel.


Reproducible: Always
Steps to Reproduce:
1. Built system on a pentium III 450mhz machine (faster install)
2. Migrated hard drive to a 6x86L-P150+ machine
3. Booted machine

Actual Results:  does not boot.

Expected Results:  machine to boot

Hard Drive was built on a Pentium III machine and then harddrive migrated 
to the slower machine.
The target machine is a SR-M504 intel 430VX Spear Motherboard - Rev 1.05R 
with AMI BOIS v4.51PG anf a 6x86L-P150+ CPU, 64M RAM & 4G hard drive. 
Video Card is a Trident TGUI9440-3 
Machine has been running redhat 6.0 without a hickup.
All other hardware has been removed from machine, BIOS reset to defaults. 
Machine boots fine from the RH7.0 emergency boot disk.
Comment 1 Arjan van de Ven 2001-03-18 05:50:18 EST
Is this with your own .config file or with one of ours ?
If it is the later, you must use one of the i586 kernels....
If it is your own, make sure you did not select PentiumPro/II/III
as such kernels use features of the cpu that the 6x86 does not have.
Comment 2 Need Real Name 2001-03-18 06:12:05 EST
Have not changed the .config file. Using the install cd "out of the box".
Have also booted on a P100 machine with the same results.
Currently rebuilding the hard drive with 7.1, no options seem to be available
for processor version.
Comment 3 Arjan van de Ven 2001-03-18 06:24:33 EST
Ok. This is what is happening. The installer detects a Pentium III (but the same 
would hold for a Pentium II) and installs the Pentium II/III kernel. This kernel
is optimized for these processors (and the Athlon, which is of the same
generation) but such kernels will not run on classic Pentiums and 6x86 cpu's.
The best way for you to fix it is to "rpm -iU --force" the "i586" kernel  on
the machine and then fix lilo.conf and run it. After that, you should be able
to boot the harddisk image on the 6x86 machine and the Pentium just fine.
Comment 4 Need Real Name 2001-03-19 06:02:26 EST
Excellent... We're getting closer.. 

The P100 gets a bit further  to "Freeing unused kernel memory:236k freed", and
then hangs trying to execute init (RIGHT-CTRL-SCROLLLOCK works at this point).
GLIBC was also a i686 binary, Once glibc i386 was loaded the P100 boots fine.

Still having problems with the 6x86. It gets to "Checking if this processor
honours the WP bit even in supervisor mode" and hangs.  

Is it worth having a pick list somewhere in the install to select the ARCH for
the intel processor?

Comment 5 Arjan van de Ven 2001-03-19 06:10:00 EST
The "Checking if this processor honours the WP bit even in supervisor mode" hang
bug is a different issue; a fix to an SMP race accidentally broke Cyrix CPU's.
This is fixed in more recent kernels which are available trough up2date and from
rawhide. 

Having an extra question in Expert Install mode is an installer related
featurerequest. Matt: opinions ?
Comment 6 Arjan van de Ven 2001-03-19 16:21:46 EST
The extra option in the installer won't happen any time soon. However we 
will put a webpage in the knowledgebase on how to do this.

Note You need to log in before you can comment on or make changes to this bug.